View Issue Details

IDProjectCategoryView StatusLast Update
0036877LazarusLCLpublic2020-08-29 17:11
ReporterZeljan Rikalo Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Summary0036877: LCL: Regression TCustomForm.OnActivate
DescriptionJust spotted that Form.OnActivate now:
1.Qt/Qt5 - triggers two times, first from delayed event and then regulary from widgetset.
2.Gtk2/Windows - triggers once with Self.Active = False (seem that both sets Form.Active somewhere else but not sure).

Found that regression for Qt/Qt5 comes from commit r61997 by Juha.

For all widgetsets: IMO, inside OnActivate Form.Active should be true, not false like now it is for gtk2 and win32.
Steps To ReproduceCreate empty form and assign OnActivate event.
TagsNo tags attached.
Fixed in Revisionr62892
LazTarget-
WidgetsetGTK 2, Win32/Win64, QT, QT5
Attached Files

Relationships

related to 0036127 resolvedJuha Manninen [Patch] TForm's bounds and restored bounds are inconsistent 

Activities

Juha Manninen

2020-08-29 15:40

developer   ~0125199

Last edited: 2020-08-29 17:10

View 2 revisions

Related 0037647 shows a regression on Windows.

Ok, it was a false alarm. Resolving and closing again ...

Issue History

Date Modified Username Field Change
2020-04-05 17:57 Zeljan Rikalo New Issue
2020-04-05 18:13 Zeljan Rikalo Assigned To => Zeljan Rikalo
2020-04-05 18:13 Zeljan Rikalo Status new => resolved
2020-04-05 18:13 Zeljan Rikalo Resolution open => fixed
2020-04-05 18:13 Zeljan Rikalo Fixed in Revision => r62892
2020-04-05 18:13 Zeljan Rikalo LazTarget => -
2020-04-05 18:13 Zeljan Rikalo Widgetset QT, QT5 => GTK 2, Win32/Win64, QT, QT5
2020-04-05 18:44 Juha Manninen Relationship added related to 0036127
2020-04-21 10:17 Zeljan Rikalo Status resolved => closed
2020-08-29 15:36 Juha Manninen Relationship added related to 0037647
2020-08-29 15:40 Juha Manninen Status closed => assigned
2020-08-29 15:40 Juha Manninen Resolution fixed => open
2020-08-29 15:40 Juha Manninen Note Added: 0125199
2020-08-29 17:10 Juha Manninen Note Edited: 0125199 View Revisions
2020-08-29 17:10 Juha Manninen Status assigned => resolved
2020-08-29 17:10 Juha Manninen Resolution open => fixed
2020-08-29 17:10 Juha Manninen Widgetset GTK 2, Win32/Win64, QT, QT5 => GTK 2, Win32/Win64, QT, QT5
2020-08-29 17:10 Juha Manninen Status resolved => closed
2020-08-29 17:11 Juha Manninen Relationship deleted related to 0037647